server:
  servlet:
    context-path: /exchange
    session:
      timeout: PT2H
    encoding:
      charset: UTF-8
      force: true
      enabled: true
  port: 8889
spring:
  application:
    name: ggzy_exchange
  datasource:
#    driver-class-name: dm.jdbc.driver.DmDriver
#    url: jdbc:dm://localhost:5236/GSLEXCHANGE
#    username: GSLEXCHANGE
#    password: GSLEXCHANGE
    driver-class-name: com.kingbase8.Driver
#    url: jdbc:kingbase8://10.8.3.137:54321/ggzyexchange
    url: jdbc:kingbase8://10.8.3.142:54321/ggzyexchange
    username: ggzyexchange
    password: ggzyexchange
#    url: jdbc:mysql://127.0.0.1:3306/ggzyexchange?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=GMT%2B8
#    username: root
#    password: 123456
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      maximum-pool-size: 1000 #最大连接数,默认值10.
      minimum-idle: 200 #最小空闲连接，默认值10.
      connection-timeout: 60000 #连接超时时间(毫秒),默认值30秒.
      #空闲连接超时时间，默认值600000(10分钟),只有空闲连接数大于最大连接数且空闲时间超过该值，才会被释放
      #如果大于等于 max-lifetime 且 max-lifetime>0,则会被重置为0.
      idle-timeout: 600000
      max-lifetime: 3000000 #连接最大存活时间,默认值30分钟.设置应该比mysql设置的超时时间短
      connection-test-query: select 1 #连接测试查询

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      write-dates-as-timestamps: false
#  thymeleaf:
#    prefix: classpath:/templates/pages/
#    suffix: .html
#    mode: HTML5
#    encoding: UTF-8
#    cache: false
#    servlet:
#      content-type: text/html
  web:
    resources:
      static-locations:
        classpath:
  #    图片上传
  servlet:
    multipart:
      #      单文件上传限制10M
      max-file-size: 10MB
      #      多文件上传限制10M
      max-request-size: 10MB

# Mybatis-plus
mybatis-plus:
  mapper-locations: classpath*:mapper/*.xml
  #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
logging:
  # 输出级别
  level:
    root: info
    org.springframework.web: DEBUG
    com.github.binarywang.demo.wx.mp: DEBUG
    me.chanjar.weixin: DEBUG
  file:
    # 指定路径
    path: exchange-logs
    # 最大保存天数
    max-history: 7
    # 每个文件最大大小
    max-size: 10MB
#日志文件
  config:
    classpath: logback.xml


#调度中心部署跟地址：如调度中心集群部署存在多个地址则用逗号分隔。
#执行器将会使用该地址进行"执行器心跳注册"和"任务结果回调"。
xxl:
  job:
    admin:
      addresses: http://127.0.0.1:8888/xxl-job-admin
    executor:
      address:
      appname: task-ggzy
      ip:
      port: 9999
      logretentiondays: 30
      logpath: /TRS/exchange/log
#      logpath: L:\\TRS\\ggzy_jar\\logs\\log
    accessToken: d52fac8e4c25b7ac5dec174346d5d49b
